Indexers - Reset Docs
重置数据源中的特定文档,以便由索引器选择性地重新引入。
POST {endpoint}/indexers('{indexerName}')/search.resetdocs?api-version=2024-09-01-preview
POST {endpoint}/indexers('{indexerName}')/search.resetdocs?overwrite={overwrite}&api-version=2024-09-01-preview
URI 参数
| 名称 | 在 | 必需 | 类型 | 说明 |
|---|---|---|---|---|
|
endpoint
|
path | True |
string |
搜索服务的终结点 URL。 |
|
indexer
|
path | True |
string |
要为其重置文档的索引器的名称。 |
|
api-version
|
query | True |
string |
客户端 API 版本。 |
|
overwrite
|
query |
boolean |
如果为 false,则密钥或 ID 将追加到现有密钥。 如果为 true,则只有此有效负载中的密钥或 ID 将排队以重新引入。 |
请求头
| 名称 | 必需 | 类型 | 说明 |
|---|---|---|---|
| x-ms-client-request-id |
string (uuid) |
随请求一起发送的跟踪 ID,以帮助进行调试。 |
请求正文
| 名称 | 类型 | 说明 |
|---|---|---|
| datasourceDocumentIds |
string[] |
要重置的数据源文档标识符 |
| documentKeys |
string[] |
要重置的文档键 |
响应
| 名称 | 类型 | 说明 |
|---|---|---|
| 204 No Content | ||
| Other Status Codes |
错误响应。 |
示例
SearchServiceResetDocs
示例请求
POST https://previewexampleservice.search.windows.net/indexers('myindexer')/search.resetdocs?overwrite=True&api-version=2024-09-01-preview
{
"documentKeys": [
"1",
"2",
"3"
]
}
示例响应
定义
| 名称 | 说明 |
|---|---|
|
Error |
资源管理错误附加信息。 |
|
Error |
错误详细信息。 |
|
Error |
错误响应 |
ErrorAdditionalInfo
资源管理错误附加信息。
| 名称 | 类型 | 说明 |
|---|---|---|
| info |
object |
其他信息。 |
| type |
string |
其他信息类型。 |
ErrorDetail
错误详细信息。
| 名称 | 类型 | 说明 |
|---|---|---|
| additionalInfo |
错误附加信息。 |
|
| code |
string |
错误代码。 |
| details |
错误详细信息。 |
|
| message |
string |
错误消息。 |
| target |
string |
错误目标。 |
ErrorResponse
错误响应
| 名称 | 类型 | 说明 |
|---|---|---|
| error |
错误对象。 |